Articles of rubygems

npm安装较less从ruby抛出错误

我试图使用更less,遵循他们的入门指南 我成功运行sudo npm install -g less ,结果是: /usr/bin/lessc -> /usr/lib/node_modules/less/bin/lessc less@1.7.0 /usr/lib/node_modules/less ├── mime@1.2.11 ├── mkdirp@0.3.5 ├── source-map@0.1.33 (amdefine@0.1.0) 但是当我尝试使用lessc我从Ruby中得到一个错误: $ lessc /home/jasonshark/.rvm/rubies/ruby-2.0.0-p247/lib/ruby/site_ruby/2.0.0/rubygems/dependency.rb:298:in `to_specs': Could not find 'less' (>= 0) among 153 total gem(s) (Gem::LoadError) from /home/jasonshark/.rvm/rubies/ruby-2.0.0-p247/lib/ruby/site_ruby/2.0.0/rubygems/dependency.rb:309:in `to_spec' from /home/jasonshark/.rvm/rubies/ruby-2.0.0-p247/lib/ruby/site_ruby/2.0.0/rubygems/core_ext/kernel_gem.rb:47:in `gem' from /home/jasonshark/.rvm/gems/ruby-2.0.0-p247/bin/lessc:22:in `<main>' from /home/jasonshark/.rvm/gems/ruby-2.0.0-p247/bin/ruby_executable_hooks:15:in `eval' from /home/jasonshark/.rvm/gems/ruby-2.0.0-p247/bin/ruby_executable_hooks:15:in `<main>' 这是什么冲突,我该如何解决? 我的$PATHvariables是: $ echo $PATH […]

Node.js读取并执行一个Ruby文件?

有没有一个npm可以安装和使用ruby文件,并在node.js中执行? 我很好奇,因为我想要同时运行两个不同的ruby脚本。

什么是ruby'devise'的nodejs等效库?

寻找一个nodejs库,可以使Web应用程序更容易创build用户configuration文件

什么是Node.js的socket.io的Ruby等价物?

如果我想将使用socket.io的节点应用程序转换成Ruby on Rails应用程序,那么replacesocket.io的选项是什么? (本质上是寻找一个Ruby的套接字服务器) http://socket.io/ 计划翻译下面的应用程序: http : //www.tokbox.com/blog/creating-chat-roulette-with-node-js-socket-io-and-opentok/